﻿package 
{
	import flash.display.Sprite;
	import flash.display.StageDisplayState;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;

	public class Graph extends Sprite
	{
		private var limit:Number = 600;
		private var counter:Number = 0;
		public function Graph()
		{
			addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		public function added_handler(e:Event):void
		{
			//drawStage(stage.stageWidth,stage.stageHeight);
			stage.addEventListener(MouseEvent.MOUSE_MOVE, double_handler);
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
		}
		
		private function fullhandler(e:FullScreenEvent):void
		{
			graphics.clear();
			//drawStage(stage.stageWidth,stage.stageHeight);
			eraseAll();
		}
		
		private function double_handler(e:MouseEvent):void
		{
			if(counter>limit){
				eraseAll();
			}
			var boule:Point = new Point(stage.stageWidth,stage.stageHeight);
			addChild(boule);
			counter++;
			trace(counter);
		}
		
		private function eraseAll():void
		{
			while(numChildren>0){
				this.removeChildAt(0);
			}
			counter = 1;
		}
		
		private function drawStage(stageWidth:Number,stageHeight:Number):void
		{	
			graphics.lineStyle(10,0xd800ff,.40);
			graphics.moveTo(stageWidth/1,0);
			graphics.lineTo(stageWidth/1,stageHeight);
			graphics.moveTo(0,stageHeight/1);
			graphics.lineTo(stageWidth,stageHeight/10);
		}
		
	}
}
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	
class Point extends Sprite
{
	private var angle:Number = 5;
	private var r1:Number;
	private var r2:Number; 
	private var orientation:Number;
	private var sW:Number;
	private var sH:Number;
	public function Point(stageWidth:Number,stageHeight:Number):void
	{
		r1 = Math.random()*stageWidth/-1;
		r2 = Math.random()*stageHeight/1;
		sW = stageWidth;
		sH = stageHeight;
		//vitesse des boules
		orientation = Math.round(2-Math.random()*1);
		if(orientation ==0){orientation;}
		graphics.beginFill(Math.random()*0xffffff,.5);
		graphics.drawCircle(10,10,(Math.random()*2+2));
		graphics.endFill();
		addEventListener(Event.ENTER_FRAME, onEnterFrame);
		addEventListener(Event.REMOVED, removedHandler);
	}
	private function removedHandler(e:Event):void
	{
		e.currentTarget.removeEventListener(Event.ENTER_FRAME,onEnterFrame);
	}
	private function onEnterFrame(e:Event):void
	{
		x = sW/2 + Math.cos(angle*Math.PI/300)*r1;
		y = sH/2 - Math.sin(angle*Math.PI/300)*r2*orientation;
		angle++;
	}
}